﻿using System;
using System.Collections.Generic;
using System.Text;
using iElection.Services.Rest;
using Prism.Navigation;
using Refit;

namespace iElection.Services.Contracts
{
    public interface IRestWrapper
    {
        ICrudApiRest<T, TKey> CrudApiRest<T, TKey>(string address) where T : class;
        IPageRestApi PageRestApi { get; }
        IAccountApiRest AccountApiRest { get; }

        void UnhandledExceptionRaiser(ApiException apiException, INavigationService NavigationService = null);
    }
}
